OpenNMS API 1.2.9

## org.opennms.netmgt.poller.nsclient
Class NsclientException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.opennms.netmgt.poller.nsclient.NsclientException

All Implemented Interfaces:
  java.io.Serializable

public class NsclientException
extends java.lang.Exception

This object implements the internal exceptions used by the `NsclientManager` system.

Author:
  Matt Raykowski
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.lang.Exception
``

Fields inherited from class java.lang.Throwable
``

Constructor Summary
`NsclientException()` Constructor.
`NsclientException(java.lang.String message)` Constructor, sets the message pertaining to the exception problem.
`NsclientException(java.lang.String message, java.lang.Throwable cause)` Constructor, sets the message pertaining to the exception problem and the root cause exception (if applicable.)
`NsclientException(java.lang.Throwable cause)` Constructor, sets the exception that caused this exception to be generated.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NsclientException

    public NsclientException()

  Constructor.

### NsclientException

    public NsclientException(java.lang.String message)

  Constructor, sets the message pertaining to the exception problem.

Parameters:
  `message` - the message pertaining to the exception problem.

### NsclientException

    public NsclientException(java.lang.String message,
                             java.lang.Throwable cause)

  Constructor, sets the message pertaining to the exception problem and the root cause exception (if applicable.)

Parameters:
  `message` - the message pertaining to the exception problem.
  `cause` - the exception that caused this exception to be generated.

### NsclientException

    public NsclientException(java.lang.Throwable cause)

  Constructor, sets the exception that caused this exception to be generated.

Parameters:
  `cause` - the exception that caused this exception to be generated.

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.